using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.OG
{
    [Description("考核方案录入")]
    public class T_OG_SAFE_PDT_ASSESS_PLAN_CHECK_DETAIL_CONTENT : MesEntityBase
    {
        [Description("考核方案审核")]
        [DataFieldForeignKey("Nav_CheckDetail", "Nav_Contents")]
        public Guid CHECK_DETAIL_ID { get; set; }

        [Description("导航属性：考核方案审核")]
        public T_OG_SAFE_PDT_ASSESS_PLAN_CHECK_DETAIL Nav_CheckDetail { get; set; }

        [Description("顺序")]
        [FormFieldTable]
        [FormFieldQuery]
        public int ROW_NO { get; set; }

        [Description("安全生产指标考核项目")]
        [FormFieldTable]
        [FormFieldQuery]
        public string NAME { get; set; }
        [Description("分数")]
        [FormFieldTable]
        [FormFieldQuery]
        public decimal? SCORE { get; set; }
        [Description("考核认定评分办法")]
        [FormFieldTable]
        [FormFieldQuery]
        public string METHOD { get; set; }
    }
}
